.menu {
    background: burlywood;
    width: 100%;
    height: 80px;
    line-height: 80px;
}

.m-left {
    float: left;
}

.logo {
    margin: 0;
    padding: 0;
    color: whitesmoke;
    text-transform: uppercase;
    font-family: 'Roboto';
    font-weight: 900;
    font-size: 40px;
    letter-spacing: 1px;
}

.m-right {
    float: right;
    font-size: 18px;
}

.m-link {
    text-decoration: none;
    color: whitesmoke;
    text-transform: uppercase;
    font-weight: 700;
    padding: 0;
    margin: 0 15px;
    transition: all 0.3s ease-in-out;
    border-bottom: 2px solid transparent;
    padding-bottom: 3px;
}

.m-link:hover {
    border-color: white;
}

.m-link i {
    margin-right: 5px;
}

.m-nav-toggle {
    position: relative;
    width: 40px;
    height: 66px;
    display: none;
    align-items: center;
    float: right;
    cursor: pointer;
}

span.m-toggle-icon,
span.m-toggle-icon:before,
span.m-toggle-icon:after {
    content: "";
    display: block;
    width: 100%;
    height: 3px;
    background: white;
    position: relative;
}

span.m-toggle-icon:before {
    top: 12px;
}

span.m-toggle-icon:after {
    top: -14px
}

.m-right.is-open {
    transform: translateX(0);
}

@media only screen and (max-width:880px) {
    .m-right {
        position: absolute;
        top: 66px;
        right: 0;
        width: 200px;
        height: 100%;
        background: burlywood;
        transform: translateX(100%);
        transition: all 0.3s ease-in-out;
    }
    .m-link {
        display: block;
        text-align: center;
        padding: 0;
        height: 55px;
    }
    .m-nav-toggle {
        display: flex;
    }
}